final: prev:
let
  table = final.callPackage ./table.nix { };
in rec {
  requireFile = { ... }@args: let
    hash = args.hash or args.sha256 or args.sha1;
  in table.${hash} or (prev.requireFile args);

  fjordlauncher-unwrapped = import ./pkgs/fjordlauncher/unwrapped.nix final prev;
  fjordlauncher = (final.prismlauncher.override { prismlauncher-unwrapped = fjordlauncher-unwrapped; }).overrideAttrs (oldAttrs: {
    qtWrapperArgs = (builtins.map
      (final.lib.strings.replaceStrings [ "PRISMLAUNCHER" ] ["FJORDLAUNCHER"])
      oldAttrs.qtWrapperArgs
    );
  });
}
