{ lib, runCommand, fetchtorrent, p7zip}:
let
  torrent = fetchtorrent {
    url = "https://archive.org/download/quake-3-arena/quake-3-arena_archive.torrent";
    hash = "sha256-6vlAzZpBlWcoosjVbIgwQ7POcRAedJuT3QSPjFhPzO4=";
  };
in
runCommand "baseq3" {
  nativeBuildInputs = [ p7zip ];
} ''
  7z x -y "${torrent}/Quake 3 Arena.zip"
  cp -r "Quake 3 Arena"/baseq3 $out
''
