{ lib, runCommand, fetchtorrent, p7zip}:
let
  torrent = fetchtorrent {
    url = "https://archive.org/download/ZELOOTD/ZELOOTD_archive.torrent";
    hash = "sha256-4CaZ2nv/vnweYwKd/qjfO8se71D1vfH9qhyDH9Aj21E=";
  };
in
runCommand "oot-debug.z64" { nativeBuildInputs = [ p7zip ]; } ''
  7z x "${torrent}/ZELOOTD.zip"
  cp "ZELOOTD.z64" "$out"
''
